<template>
  <div class="error-body">
    <img src="@/assets/images/error_message_page.png">
    
    <p class="header">페이지를 찾을 수 없습니다.</p>
    <span class="message">웹 페이지의 주소가 잘못 입력되었거나,<br>
    변경 또는 삭제되어 요청하신 페이지를 찾을 수 없습니다. <br>
    입력하신 주소가 정확한지 다시 한번 확인해 주시기 바랍니다.<br>
    이용에 불편을 드려 죄송합니다.
    </span>
    
    <p class="error-btns">
      <a href="javascript:void(0);" @click="backGo()">이전 페이지로</a><a href="javascript:void(0);" @click="goMain()">메인으로</a>
    </p>
  </div>
</template>

<script>

  export default {
    name: 'error404',
    data: function() {
      return {
        
      };
    },
    created() {
      this.$store.commit("login/isErrorPage", true);
    },
    mounted() {
    },
    destroyed() {
      this.$store.commit("login/isErrorPage", false);
    },
    methods: {
      // 이전 페이지
      backGo() {
        const beforeUrl = this.$store.getters['login/getBeforeUrl'];
        this.$store.commit("login/isErrorPage", false);
        this.$router.push({ path: beforeUrl }).catch(()=>{          
        });
      },
      // 메인 페이지
      goMain(){
        const rootUrl = this.$store.getters['login/getRootUrl'];
        this.$store.commit("login/isErrorPage", false);
        this.$router.push({ path: rootUrl }).catch(()=>{          
        });
      }
    }
  };
</script>
